# class OpenSSL::SSL::SSLServer

### Public Instance Methods

accept_nonblock() click to toggle source

    # File lib/puma/accept_nonblock.rb, line 7
    def accept_nonblock
      sock = @svr.accept_nonblock

      begin
        ssl = OpenSSL::SSL::SSLSocket.new(sock, @ctx)
        ssl.sync_close = true
        ssl.accept if @start_immediately
        ssl
      rescue SSLError => ex
        sock.close
        raise ex
      end
    end